Katello - Bug #6411

Hammer: production.log filled up with garbage data when we upload contents to selected repo
06/26/2014 11:11 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category:
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1111484 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/436
4
Description

Created attachment 910661 [details]
Logs from production.log that contains garbage data, Not sure if its expected, but | don't think log file should include such data

Description of problem:
| was trying to upload contents to selected repo via hammer. Contents are uploaded successfully, however while uploading, the
production.log filled up with some garbage data.

Processing by Katello::Api::V2::ContentUploadsController#create as application/json;version=2

Parameters: {"api_version"=>"v2", "repository_id"=>"17", "content_upload"=>{}}

Expire fragment views/tabs_and_title_records-1 (0.3ms)

Authorized user admin(Admin User)

Completed 200 OK in 171ms (Views: 0.7ms | ActiveRecord: 26.0ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.2ms)
Completed 200 OK in 4ms (Views: 3.5ms | ActiveRecord: 0.0ms)

Processing by Katello::Api::V2::ContentUploadsController#update as application/json;version=2

Parameters: {"offset"=>"0",

"content"=>"\u001F\x8B\b\u0000td TR\u0O000\uO003\XED=ks\xDB8\x92\x F3\x99\xBF\u0002\XE 7\xA4J\xF6\x94-\x F3%R\xD2]\x A6 A8\x8
9\xEB2v\XCANfkk*\XE5\u00051\xDO\XE6\x86\"u$\u0015U\xF2\xF D\XFE\XEBB\")J\xB2c\x8D\x92K[\u0013K

\xDO\xDD\XxE8\a\u001 A@\x83\xDO0t6\x9D\xB2\"\x A6 ~\x90[]\xDB\UO003\XxBDo\x F4\xF5\xC3_6\n\xBA\XAE\xBB\x83\u0001\xE1\u007F\u
001D\xF1W7m\xF1W\u00021L\xD3\u001C\XxE8\x8Ei862\x81=\xD0\u007F \x83[\xD1\u000E\xB3\XBC\XA0\u0019\xBOB\XA7,\xD8\XED
\XD2zP-\fW\XE0\x91\xF D (\xFF\xFE ?\x8 1{\x AB\XFE\x9F\xBF > :}u\xFC\XxE6\XxEC\XxD5Fh\x80<\u001C\xDBMXAE\xFF\x81\xD3U\xE38\xD6
/D\XDF\b\xF55\xFO\x93\xEB\xDF\xD4\r\xEB\xC0\xD0O\uOOOF\xF4!9

\u007F\xBO0,\x8F p#n\x8B\xD9dB\xB3[\xA6\x9D\XxB3\x98k\u001 1\X9A\X90\xD94\x A0\U0005W\XC8'Y 7\rlq\u00 1 D\XE5}\XF2:\xBA\XBA\X
8E\XE 1\xBF\"Q\XxE2dZ\x80\x913\x90\XE9\xC5\xFB\x8Bch\u0017\x90+\x96\xB0O\X8C\XC6Z>\XE4\Xx8A\XF8\x801\xC 1\uO00OFAX9AO\XE2]
t\x96\x91\x9B4\tX\u001 6\xCEbD\xCQ,\x89\x8A[2a\u001 3\u000Fh\xFD\x9B\xA6\xBDd\xB4\x98e,\u001Fk\as\xD49\u0018p\x9A\u0015
Pt\u0014\XC7\XE\NXF9"\x9AXF 1\u0015\x9B\XxE4\x97 S\XEA\UO07F\xA4W\XEC\x9F $\u0005"\xB3 (" \xAC\u0014
"X93\XxEBt\xC2HH\xFDB\x95e\u001 1\x91\xF5\x FB@ (\xF A,\xA8\xBC\x89\x92\x

Version-Release number of selected component (if applicable):
sat6 beta snap10

How reproducible:
always

Steps to Reproduce:

hammer repository upload-content --id 17 --organization-id 1 --path /var/tmp/puppetlabs-ruby-0.1.0.tar.gz
Successfully uploaded file 'puppetlabs-ruby-0.1.0.tar.gz".

check production.log

Actual results:

Expected results:
production.log should not be filled up with above garbage data.

Additional info:

Associated revisions

Revision 5fea2be7 - 07/11/2014 12:43 PM - dustin tsang

Fixes #6411 - filter content param in CU BZ1111484
The content param in the content_uploads action is causing
the log to fill up with garbage since content is binary. This

filters the log so that the content_uploads the content param is
filtered.

Revision acc444b7 - 07/11/2014 01:06 PM - dustin tsang

Merge pull request #4364 from dustint-rh/filter_log_content_using_foreman_katello_plugin

Fixes #6411 - filter params by path BZ1111484

History

#1 - 06/26/2014 11:11 PM - dustin tsang

- Subject changed from https.://bugzilla.redhat.com/show_bug.cgi?id=1111484 to Hammer: production.log filled up with garbage data when we upload
contents to selected repo

#2 - 06/26/2014 11:12 PM - dustin tsang

- Status changed from New to Assigned

#3 - 06/27/2014 02:23 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 07/07/2014 07:48 AM - Eric Helms

- Target version changed from 48 to 49

#5 - 07/11/2014 12:24 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

#6 - 07/11/2014 12:24 PM - The Foreman Bot
- Target version deleted (49)

#7 - 07/11/2014 12:24 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4364 added

#8 - 07/11/2014 12:35 PM - Dominic Cleal

- Target version set to 49

#9 - 07/11/2014 12:52 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4357 added
- Pull request deleted (https://github.com/Katello/katello/pull/4364)

#10 - 07/11/2014 01:07 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4364 added
- Pull request deleted (https://github.com/Katello/katello/pull/4357)

#11 - 07/11/2014 02:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|5fea2be7d1e6d1a085087d7fd34e09078cb20174.
https://projects.theforeman.org/projects/katello/repository/katello/revisions/5fea2be7d1e6d1a085087d7fd34e09078cb20174

#12 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
